summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Palfrader <peter@palfrader.org>2008-01-21 14:46:49 +0000
committerPeter Palfrader <peter@palfrader.org>2008-01-21 14:46:49 +0000
commit3d3dbe90abb0a0d05213974d205ae29c5af5b55e (patch)
tree82786ae39b98341b87d44e7886f62dc561744ad2
parentaa4f86dafa25e03fa5e2a17aa78e05bd0923664f (diff)
downloadtor-3d3dbe90abb0a0d05213974d205ae29c5af5b55e.tar.gz
tor-3d3dbe90abb0a0d05213974d205ae29c5af5b55e.zip
Change wording if debian-tor's homedir is wrong, do not print anything if it is ok.
Whitespace nazi found out about debian/tor.postinst. svn:r13206
-rw-r--r--debian/changelog4
-rw-r--r--debian/tor.postinst35
2 files changed, 21 insertions, 18 deletions
diff --git a/debian/changelog b/debian/changelog
index 764b316ca7..2a711ba9a2 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,8 +4,10 @@ tor (0.2.0.17-alpha-1+svn) experimental; urgency=low
to have a uid between 100 and 999. There is no good reason
to require this. If the local admin moves the system users/uid-space
to some other range then they probably have a good reason for that.
+ * postinst: change wording if debian-tor's homedir is wrong, do not
+ print anything if it is ok.
- -- Peter Palfrader <weasel@debian.org> Mon, 21 Jan 2008 15:43:52 +0100
+ -- Peter Palfrader <weasel@debian.org> Mon, 21 Jan 2008 15:46:29 +0100
tor (0.2.0.17-alpha-1) experimental; urgency=low
diff --git a/debian/tor.postinst b/debian/tor.postinst
index f39659c271..0d2a4dd415 100644
--- a/debian/tor.postinst
+++ b/debian/tor.postinst
@@ -9,24 +9,25 @@ home=`getent passwd debian-tor | cut -d ":" -f 6`
# the sanit(ar)y checks otherwise we can safely create it.
if [ "$uid" ]; then
- if [ "$home" = "/var/lib/tor" ]; then
- echo "debian-tor homedir check: ok"
- else
- echo "ERROR: debian-tor account has an invalid home directory!"
- echo "Please check /usr/share/doc/tor/README.Debian on how to"
- echo "correct this problem"
- exit 1
- fi
+ if [ "$home" = "/var/lib/tor" ]; then
+ :
+ #echo "debian-tor homedir check: ok"
+ else
+ echo "ERROR: debian-tor account has an unexpected home directory!"
+ echo "It should be '/var/lib/tor', but it is '$home'."
+ echo "Removing the debian-tor user might fix this, but the question"
+ echo "remains how you got into this mess to begin with."
+ exit 1
+ fi
else
- # what this might mean?? oh creating a system l^Huser!
- adduser --quiet \
- --system \
- --disabled-password \
- --home /var/lib/tor \
- --no-create-home \
- --shell /bin/bash \
- --group \
- debian-tor
+ adduser --quiet \
+ --system \
+ --disabled-password \
+ --home /var/lib/tor \
+ --no-create-home \
+ --shell /bin/bash \
+ --group \
+ debian-tor
fi
# ch{owning,moding} things around